Loading...
Searching...
No Matches
ForceFields::DistanceConstraintContribsParams Struct Reference

`#include <DistanceConstraints.h>`

## Public Member Functions

| DistanceConstraintContribsParams (unsigned int idx1, unsigned int idx2, double minLen, double maxLen, double forceConstant=1.0)

## Public Attributes

unsigned int | idx1 {0}
| index of atom1 of the distance constraint
unsigned int | idx2 {0}
| index of atom2 of the distance constraint
double | minLen {0.0}
| lower bound of the flat bottom potential
double | maxLen {0.0}
| upper bound of the flat bottom potential
double | forceConstant {1.0}
| force constant for distance constraint

## Detailed Description

Definition at line 20 of file DistanceConstraints.h.

## Constructor & Destructor Documentation

## DistanceConstraintContribsParams()

ForceFields::DistanceConstraintContribsParams::DistanceConstraintContribsParams | ( | unsigned int | idx1,
|  | unsigned int | idx2,
|  | double | minLen,
|  | double | maxLen,
|  | double | forceConstant = 1.0 )

inline

Definition at line 26 of file DistanceConstraints.h.

References forceConstant, idx1, idx2, maxLen, and minLen.

## Member Data Documentation

## forceConstant

double ForceFields::DistanceConstraintContribsParams::forceConstant {1.0}

force constant for distance constraint

Definition at line 25 of file DistanceConstraints.h.

Referenced by DistanceConstraintContribsParams().

## idx1

unsigned int ForceFields::DistanceConstraintContribsParams::idx1 {0}

index of atom1 of the distance constraint

Definition at line 21 of file DistanceConstraints.h.

Referenced by DistanceConstraintContribsParams().

## idx2

unsigned int ForceFields::DistanceConstraintContribsParams::idx2 {0}

index of atom2 of the distance constraint

Definition at line 22 of file DistanceConstraints.h.

Referenced by DistanceConstraintContribsParams().

## maxLen

double ForceFields::DistanceConstraintContribsParams::maxLen {0.0}

upper bound of the flat bottom potential

Definition at line 24 of file DistanceConstraints.h.

Referenced by DistanceConstraintContribsParams().

## minLen

double ForceFields::DistanceConstraintContribsParams::minLen {0.0}

lower bound of the flat bottom potential

Definition at line 23 of file DistanceConstraints.h.

Referenced by DistanceConstraintContribsParams().

The documentation for this struct was generated from the following file:

- DistanceConstraints.h